defmodule Nulla.Repo.Migrations.CreateUsers do
  use Ecto.Migration

  def change do
    create table(:users, primary_key: false) do
      add :id, :bigint, primary_key: true
      add :email, :string
      add :password, :string
      add :privateKeyPem, :string
      add :last_active_at, :utc_datetime

      add :actor_id, references(:actors, column: :id, type: :bigint, on_delete: :delete_all),
        null: false

      timestamps(type: :utc_datetime)
    end

    create unique_index(:users, [:actor_id])
  end
end
